
/* 

This is really horrific css.
Don't @ me.

*/


@font-face {
  font-family: 'monument-extended';
  src: url('/font/MonumentExtended-Black.woff2') format('woff2');
  font-weight: 900;
  font-style: normal;
  font-display: block;
}

:root {
	--bg: #cedad3;
	--screen: #94798c;
	--screen-bright: #e2c6da;
	--case: #344f62;
	--case-inset: #44657c;

	--pink: #d84556;
	--highlight: #ff8593;

	--text: #293046;
	--text-heading: #1d2779;
	--link: #0028c0; /* blue */


	/* Typography 
	======================= */
	--font-body: monospace;
	--font-display: 'monument-extended', var(--font-body);

	--font-size: clamp(16px, 3vw, 22px);


	/* Spacing 
	======================= */
	--width-reader: 500px;
	--width-measure: 750px;
	--width-container: 1200px;
	--sp-lg: 4.5rem;
	--sp: 3rem;
	--sp-edge: 1rem;
}

body {
	background: var(--bg);
	margin: 0;

	color: var(--text);
	font-family: var(--font-body);
	font-size: var(--font-size);
	line-height: 1.5;
}

img {
	max-width: 100%;
}

a {
	color: var(--link);
}

::selection {
	background: var(--highlight);
	/*color: var(--text);*/
}


.hero {
	box-sizing: border-box;
	padding-block: var(--sp);
	padding-inline: var(--sp-edge);
	max-width: var(--width-container);
	position: relative;
	width: 100%;
	margin-inline: auto;
}
.hero__images {
	position: relative;
	aspect-ratio: 16 / 9;
}


h1 {
	background: var(--text);
	color: var(--screen-bright);

	font-family: var(--font-display);
	font-size: clamp(1.5rem, 6vw, 40px);
	font-weight: 900;
	line-height: 1;
	margin-block: 0;
	padding: .25em .25em .15em;
}
.hero__date {
	margin-top: .5em;
}




.uwu {
	position: absolute;
	top: 13%;
	left: 5%;
	z-index: 5;

	font-weight: bold;
	font-size: clamp(1rem, 2.5vw, 2rem);
	line-height: 1;
	margin-block: 0;
	text-transform: uppercase;

	opacity: .6;
	transition: .2s ease-in;
}



.reader-wrapper {
	position: relative;
}

.reader {
	position: relative;
	width: 50%;
}


.reader__front {
	position: absolute;
	left: 0;
	top: 0;
	z-index: 3;
	width: 50%;
	pointer-events: none;
}

.reader__screen {
	background: var(--screen-bright);


	width: 44%;
	height: 80%;
	position: absolute;
	z-index: 2;
	left: 2%;
	top: 5%;
	opacity: .95;
}
.reader__screen::before {
	content: '';
	width: 100%;
	height: 100%;
	left: 0;
	top: 0;
	position: absolute;
	background-image: url('/img/2026/02/scanlines.png');
	background-repeat: repeat;
	opacity: .075;

}
.disk {
	position: absolute;
	left: 10%;
	top: 30%;
	width: 35%;
	z-index: 1;
	cursor: pointer;
}

@media screen and (min-width: 900px) {
	.disk[data-status="removed"] {
		animation: 1s ease-in forwards removeDisk;
	}
	.disk[data-status="inserted"] {
		animation: 1.5s ease-in forwards insertDisk ;
	}

	.disk[data-status="ejected"] {
		animation: .2s ease-in .2s forwards ejectDisk;
	}
}



@keyframes ejectDisk {
	0% {
		transform: translateX(0);
	}
	100% {
		transform: translateX(11%);
	}
}

@keyframes removeDisk {
	0% {
		transform: translateX(11%);
	}
	50% {
		transform: translateX(130%);
	}
	100% {
		transform: translateX(130%) rotate(92deg);
	}
}

@keyframes removeDiskMobile {
	0% {
		transform: translateX(11%);
	}
	30% {
		transform: translateX(130%);
	}
	60% {
		transform: translateX(130%) rotate(92deg);
	}
	100% {
		z-index: 5;
		transform: translateX(11%) rotate(92deg);
	}
}

@keyframes insertDisk {
	0% {
		transform: translateX(130%) rotate(92deg);
	}
	30% {
		transform: translateX(130%);
	}
	60% {
		transform: translateX(11%);
	}
	85% {
		transform: translateX(11%);
	}
	100% {
		transform: translateX(0);
	}

}


.reader__top-button {
	position: absolute;
  top: -1%;
  left: 2.5%;
  width: 8%;
  z-index: 2;
  transform: scaleY(150%);
}


.reader__side-button {
	position: absolute;
  top: 10%;
  left: 47%;
  z-index: 2;
  height: 8%;
}


@media screen and (min-width: 900px) {
	.hero__metadata {
		position: absolute;
		width: 40%;
		left: 55%;
		top: 40%;
		z-index: 1;
	}

	.reader__top-button,
	.reader__side-button {
  	cursor: pointer;
  }
	.reader__side-button:active {
		transform: translateX(-5px);
	}
	.reader__top-button:active {
		transform: scaleY(150%) translateY(3px);
	}
}

@media screen and (max-width: 900px) {
	.uwu {
		left: 8%;
	}
	.reader-wrapper {
		max-width: var(--width-reader);
		width: 100%;
	}
	.reader,
	.reader__front {
		width: 100%;
	}
	.reader__screen {
		width: 90%;
	}
	.reader__side-button {
		left: 94%;
	}
	.reader__top-button {
		top: -1%;
		left: 4.5%;
		width: 18%;
	}
	.disk {
		width: 70%;
		left: 32%;	
		z-index: 5;
		transform: rotate(92deg);
	}
}



/* Post Content 
============================= */

.content-wrapper {
	/*background: var(--case);*/
	margin-inline: auto;
	max-width: var(--width-container);
	padding-inline: .5rem;
	width: 100%;
	box-sizing: border-box;
	position: relative;
}

.content {
	background: var(--screen-bright);
	border: 10px inset var(--case-inset);
	border-radius: 10px;
	padding: var(--sp) var(--sp-edge);
	position: relative;
	z-index: 2;
}

.content::before {
	content: '';
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	pointer-events: none;

	background-image: url('/img/2026/02/scanlines.png');
	background-repeat: repeat;
	opacity: .075;
}

.content > :where(p, h1, h2, h3, ul, ol) {
	margin-inline: auto;
	max-width: var(--width-measure);
}


h2 {
	color: var(--text-heading);
	font-family: var(--font-display);
	font-weight: 900;
	margin-block: var(--sp-lg) 1rem;
}
h2::before {
	content: '▓ ';
	color: var(--pink)
}
h3 {
	font-size: 1.2em;
	font-style: italic;
	margin-block: var(--sp-lg) 1rem;
}
h3::before {
	content: '▒ ';
}
h2 + h3 {
	margin-top: var(--sp);
}


figure {
	margin-top: var(--sp);
	margin-inline: 0;
}
figure + figure {
	margin-top: 1em;
}
figcaption {
	font-style: italic;
	margin-inline: auto;
	max-width: var(--width-measure);
	text-align: center;
}

.content li {
	list-style-type: square;
}
.content li::marker {
	color: var(--pink);
}
.content em {
	font-style: normal;
	font-weight: bold;
	text-transform: uppercase;
}
.transparent {
	mix-blend-mode: multiply;
}

.post__footnotes {
	max-width: var(--width-measure);
	margin-inline: auto;
	margin-top: var(--sp-lg);
}

.rss-note {
	display: none;
	font-size: .8em;
	max-width: var(--width-measure);
	margin-inline: auto;
}
.rss-note em {
	font-style: italic;
	font-weight: normal;
	text-transform: unset;
}

.site-nav {
	display: flex;
	flex-wrap: wrap;
	column-gap: 2em;
	align-items: baseline;
}
.site-nav a {
	color: var(--text);
}
.site-nav a:hover {
	color: var(--link);
}
.site-nav__list {
	list-style-type: none;
	margin-block: 0;
	padding-left: 0;

	display: flex;
	flex-wrap: wrap;
	column-gap: 1em;
}

.site-nav,
.site-footer {
	margin-inline: auto;
	padding: var(--sp) var(--sp-edge);
	max-width: var(--width-container);
	width: 100%;
	box-sizing: border-box;
}
.site-nav__title {
	margin-right: .5em;
}
.footer-nav__list {
	list-style-type: none;
	padding-left: 0;
}
.footer-nav__item:first-of-type {
	font-weight: bold;
}